# protection layer views

from analyses.analysisbase.views import protectionlayer as base_views

from analyses.dispersions import models as app_models
from analyses.dispersions import forms as app_forms
from analyses.dispersions import tables as app_tables
from django.utils.translation import ugettext_lazy as _

class MixIn(object):
    "Common items for object views"
    appconfig = app_models.AppConfig
    model = appconfig.get_models()['protectionlayer']

class display(MixIn, base_views.display):
    pass

class edit(MixIn, base_views.edit):
    pass

class delete(MixIn, base_views.delete):
    pass

class add_to_scenario(MixIn, base_views.add_to_scenario):
    pass

class compare(MixIn, base_views.compare):
    pass

class ProtectionLayerFilter(MixIn, base_views.ProtectionLayerFilter):
    pass

class ProtectionLayerListObject(MixIn, base_views.ProtectionLayerListObject):
    pass

class protectionlayers(MixIn, base_views.protectionlayers):
    filter = ProtectionLayerFilter()
    listobject = ProtectionLayerListObject()

views = {
    'display': display(),
    'edit': edit(),
    'delete': delete(),
    'add_to_scenario': add_to_scenario(),
    'compare': compare(),
    'protectionlayers': protectionlayers(),
}
