from analyses.main import analysesmodules

import datetime

from django.conf import settings
from django.contrib.auth.models import User
from django.core.management.base import BaseCommand, CommandError
from django.db import transaction

import re

from utils.exchange import exchange
from utils.versioning.models import WorkVersion

class Command(BaseCommand):
    help = "Dumps all suggestion lists as system sls."
    args = "<language verno>"

    def handle(self, language, verno, **options):
        try:
            user = User.objects.get(username='__SYSTEM__')
        except User.DoesNotExist:
            raise CommandError("System user not found")

        objects = []
        for module in analysesmodules.get_items_sorted():
            for sl in module['appconfig'].get_model('suggestionlist').objects.filter(name__icontains=u'#%s#' % language).get_versionedobjects(version=WorkVersion):
                for item in sl.collect_objects(filterkwarg={}):
                    objects.extend(item)
            for sl in module['appconfig'].get_model('apsuggestionlist').objects.filter(name__icontains=u'#%s#' % language).get_versionedobjects(version=WorkVersion):
                for item in sl.collect_objects(filterkwarg={}):
                    objects.extend(item)
        res = exchange.dump(objects)

        # make dirty and published_dirty false and system true
        res = res.replace('"dirty": true', '"dirty": false')
        res = res.replace('"published_dirty": true', '"published_dirty": false')
        res = res.replace('"system": false', '"system": true')
        res = re.sub('"user_changed": \d', '"user_changed": 1', res)
        res = re.sub('"user_created": \d', '"user_created": 1', res)
        res = res.replace('#VERNO#', verno)
        res = res.replace('#NL# ', '')
        res = res.replace('#FR# ', '')
        res = res.replace('#EN# ', '')

        print res
