from django.utils.translation import ugettext_lazy as _

from users import models as app_models

from utils import tables

class UsersTable(tables.ModelTable):
    username = tables.Column(
            verbose_name = _('Username'),
            link = lambda x: x.data.get_absolute_url(),
        )
    class Meta:
        model = app_models.User
        columns = ('username', 'last_name', 'first_name')

class GroupsTable(tables.ModelTable):
    name = tables.Column(
            verbose_name = _('Name'),
            link = lambda x: x.data.get_absolute_url(),
        )
    class Meta:
        model = app_models.Group
        columns = ('name',)
