from django import forms
from django.contrib.contenttypes.models import ContentType
from django.utils.translation import ugettext_lazy as _

from utils.attachments.models import Attachment
from utils.versioning.versionedforms import VersionedForm, VersionedSheet

class AttachmentForm(VersionedForm):
    attachment_file = forms.FileField(label=_('Upload attachment'))

    class Meta:
        model = Attachment
        fields = ('attachment_file',)

class AttachmentSheet(VersionedSheet):
    class Meta:
        model = Attachment
        fields = ('attachment_file',)
